<?php
/*

Copyright  2001, 2002, 2003, 2004 Andres Baravalle

This file is part of phpGrabComics.

phpGrabComics is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

phpGrabComics is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with phpGrabComics; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

Class Dinetteset extends phpGrabComics
{
	
	# Grab Dinetteset cartoon and put it in your site
	
	var $match_prefix = "";
	
	// will be set in function dinetteset()
	var $match_string = "";
	
	function Dinetteset()
	{
		$ci = "Dinette_Set";
		$this->name = str_replace("_", " ", $ci);
		$this->unix_name = str_replace(".inc","",basename(strtolower(__FILE__)));
		
		// US east time zone is -4 hours to GMT
		$offset = 60 * 60 * 4;
		$today = gmdate("Y/n/j", time()-$offset);
		$this->address = "http://www.chron.com/content/chronicle/comics/archive/showComic.mpl?date=$today&name=$ci&quality=g";
		$this->match_string = "/(http:\/\/images.chron.com\/content\/chronicle\/comics\/archive\/" . addcslashes($today,"/") ."\/Dinette_Set\.[[:digit:]]+\.g\..{3})/";
		
		$today = gmdate("Ymd", time()-$offset);
		$this->img_name = "$today.gif";
	}
	
	function getFileName()
	{
		return $this->img_name;
	}
}

?>