<?php
/*

Copyright  2001, 2002, 2003, 2004 Andres Baravalle

This file is part of phpGrabComics.

phpGrabComics is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

phpGrabComics is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with phpGrabComics; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
include_once("dir.inc");
include_once($dir . "inc/prepend.inc");
echo "<?xml version=\"1.0\" encoding=\"iso-8859-1\" ?>\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"><!-- InstanceBegin template="/Templates/accessible.dwt" codeOutsideHTMLIsLocked="true" -->
<head>

<?php
include_once($dir . "inc/head.inc");
?>
<!-- #BeginEditable "doctitle" -->
<?php
$title="Configure";
?>
<!-- #EndEditable -->
<title>
<?php 
if($title!="")
	echo "phpGrabComics - " . $title;
else
{
	$title = "phpGrabComics";
	echo $title;
}
?>
</title>
</head>
<body> 
<div id="header"> 
	<div class="left" id="logo"><a href="index.php"><img src="<?php echo $dir . $show_banner; ?>/phpgrabcomics_10.png" alt="phpGrabComics home page" width="85" height="85" style="vertical-align: middle; margin-right: 36px;" /></a><h1><?php echo $title; ?></h1></div> 
	<div class="right" id="title" style="vertical-align: top;">		
		<form method="get" action="search.php">
			<p style="text-align:right"><br /><input size="15" name="sp-q" value="<?php if(isset($_GET["sp-q"])) echo $_GET["sp-q"]; ?>" />
				<input type="hidden" name="sp-a" value="sp1002f053" style="font-size:12px;background-color:#FFFFCC" accesskey="s" />
				<input type="hidden" name="sp-p" value="all" />
				<input type="hidden" name="sp-f" value="iso-8859-1" />
				<input type="submit" value="Search" />				
			</p>
		</form>		
	</div> 
	<hr /> 
</div> 
<div id="body"> 
	<?php
	if (isset($_GET["show_source"]) and $_GET["show_source"]==1)
	{	
		echo "<br /><h2>Source of: ".$_SERVER["SCRIPT_NAME"]."</h2>\n<hr />\n";
		highlight_file($_SERVER["SCRIPT_FILENAME"]);
		printf("<hr /><br />". _LAST_MODIFIED . ": %s", date("Y/M/d H:i:s",filemtime($_SERVER["SCRIPT_FILENAME"])));
	}
	else
	{
	?> 
	<!-- #BeginEditable "testo dentro il livello" --> 
				<?php
				
				if (admin::checkPerm() and $authenticated == True)
				{
					$config_vars = Array(
					Array("user","admin user"),
					Array("psw","admin password"),
					Array("db_user","database user"),
					Array("db_psw","database password"),
					Array("db_host","database host","localhost"),
					Array("db_name","database name","db"),
					Array("db_prefix","database table prefix","phpgrabcomics"));					
					
					if(isset($_GET) and sizeof($_GET)>1 and isset($_GET["user"]))
					{
						// read configuration file
						$current_configuration = file_get_contents("inc/config.inc");
						$configuration = $current_configuration;
						
						while(list($key,$val)=each($_GET))
						{
							if($key=="psw" and !is_null(trim($val)))
								$val = md5($val);
								
							$key_new = $key . "_new";
							$$key_new = $val;
							
							// need to need to make better regular expression
							$string = "/([[:space:]]*\\$".$key ."[[:space:]]*=[[:space:]]*\"?)[0-9a-zA-Z,.-_@\?]*(\"?[[:space:]]*;)/";
							
							$replace = "\${1}".@(string)$val."\${2}";
							if(preg_match($string,$configuration,$matches))
							{
								$configuration=preg_replace($string,$replace,$configuration);
							}		
						}

						if($configuration != $current_configuration)
						{
							
							$fp = fopen($dir."inc/config.inc","w");
							fwrite($fp,$configuration);
							
							echo "<p>Configuration saved.</p>";
							
							// now I have to check if db details have been changed.
							if($db_host_new!=$db_host or $db_name_new!=$db_name or $db_prefix_new!=$db_prefix)
							{								
								echo "<p>Creating new database or tables.</p>";
								
								if(mysql_connect($db_host_new,$db_user_new,$db_psw_new))
								{
									$sql = file_get_contents($dir . "phpgrabcomics.sql.dist");
									
									$sql = str_replace("CREATE DATABASE db;","CREATE DATABASE $db_name_new;",$sql);
									$sql = str_replace("USE db;","USE $db_name_new;",$sql);
									$sql = str_replace("phpgrabcomics_",$db_prefix_new . "_",$sql);
									
									// writing sql file
									$fp = fopen($dir . "phpgrabcomics.sql","w");					
									$sql_array = explode(";\n", $sql);
															
									// prepares tables
									while(list($key,$val) = each($sql_array))
									{
										if(!$result = mysql_query($val))
											$tmp_return = False;
									}
									
									if($tmp_return!=False)
									echo "<p> Done.</p>";	
									else
										echo "<p>Sorry, something went wrong creating tables.</p>";							
								}								
							}							
						}
						else
							echo "<p>Configuration was not changed.</p>";
					}
					else
					{
				?> 
				<form action="<?php echo $_SERVER["PHP_SELF"]; ?>" id="configure"> 
					<table cellpadding="2"> 
						<tr> 
							<td>free access to backoffice </td> 
							<td><table cellspacing="2" cellpadding="0"> 
									<tr> 
										<th scope="col"><input name="authenticated" type="radio" value="True" id="authenticated_true" <?php if(isset($authenticated) and $authenticated == True) echo "checked=\"checked\""; ?> /></th> 
										<td scope="col"><label for="authenticated_true">True</label></td> 
									</tr> 
									<tr> 
										<td><input name="authenticated" type="radio" value="False" id="authenticated_false" <?php if(!isset($authenticated) or $authenticated == False) echo "checked=\"checked\""; ?> /></td> 
										<td><label for="authenticated_false">False</label></td> 
									</tr> 
								</table></td> 
							<td rowspan="3">Leave username and password empty if you do not want to
								protect your backoffice, or set free access true</td> 
						</tr> 
						<tr> 
							<td>admin username</td> 
							<td><input type="text" name="user" value="<?php if(isset($user)) echo $user; ?>" /></td> 
						</tr> 
						<tr> 
							<td>admin password</td> 
							<td><input type="text" name="psw" /></td> 
						</tr> 
						<tr> 
							<td>use database</td> 
							<td><table cellspacing="2" cellpadding="0"> 
									<tr> 
										<th scope="col"><input name="db_enabled" type="radio" value="True" id="db_enabled_true" <?php if(isset($db_enabled) and $db_enabled == True) echo "checked=\"checked\""; ?> /></th> 
										<td scope="col"><label for="db_enabled_true">True</label></td> 
									</tr> 
									<tr> 
										<td><input name="db_enabled" type="radio" value="False" id="db_enabled_false" <?php if(!isset($db_enabled) or $db_enabled == False) echo "checked=\"checked\""; ?> /></td> 
										<td><label for="db_enabled_false">False</label></td> 
									</tr> 
								</table></td> 
							<td>Using database allows to record data about visitors.</td> 
						</tr> 
						<tr> 
							<td>database user</td> 
							<td><input type="text" name="db_user" value="<?php if(isset($db_user)) echo $db_user; ?>"/></td> 
							<td>&nbsp;</td> 
						</tr> 
						<tr> 
							<td>database password</td> 
							<td><input type="text" name="db_psw" value="<?php if(isset($db_psw)) echo $db_psw; ?>" /></td> 
							<td>&nbsp;</td> 
						</tr> 
						<tr> 
							<td>database host</td> 
							<td><input type="text" name="db_host" value="<?php if(isset($db_host)) echo $db_host; ?>" /></td> 
							<td>&nbsp;</td> 
						</tr> 
						<tr> 
							<td>database name </td> 
							<td><input type="text" name="db_name" value="<?php if(isset($db_name)) echo $db_name; else echo "db"; ?>" /></td> 
							<td>&nbsp;</td> 
						</tr> 
						<tr> 
							<td>database table prefix</td> 
							<td><input type="text" name="db_prefix" value="<?php if(isset($db_prefix)) echo $db_prefix; else echo "phpgrabcomics"; ?>" /></td> 
							<td>&nbsp;</td> 
						</tr> 
						<tr> 
							<td colspan="3"><input type="submit" /> </td> 
						</tr> 
					</table> 
				</form> 
				<?php
					}
				}
				else
					echo "<p>Sorry, configuration available only for the administrator.</p>";
				?> 
	<!-- #EndEditable --> 
	<?php
	}
	?> 
</div> 
<div id="footer"> 
	<hr /> 
	<div class="left" id="source"><a href="<?php echo $dir; ?>index.php"><img src="<?php echo $dir; ?>media/logo.png" id="show_source" width="32" height="48" alt="show source" /></a> <a href="<?php echo $_SERVER["SCRIPT_NAME"];?>?show_source=1">show source</a></div> 
	<div class="right" id="hosted"> <a href="http://sourceforge.net/projects/phpgrabcomics/"><img src="sourceforge.php" id="sourceforge" alt="SourceForge" /></a> phpGrabComics	project is hosted at <a href="http://sourceforge.net/projects/phpgrabcomics/">sourceforge.net</a>.</div> 
</div> 
</body>
<!-- InstanceEnd --></html>
