<?php
/*

Copyright  2001, 2002, 2003, 2004 Andres Baravalle

This file is part of phpGrabComics.

phpGrabComics is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

phpGrabComics is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with phpGrabComics; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
include_once("dir.inc");
include_once($dir . "inc/prepend.inc");
echo "<?xml version=\"1.0\" encoding=\"iso-8859-1\" ?>\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"><!-- InstanceBegin template="/Templates/accessible.dwt" codeOutsideHTMLIsLocked="true" -->
<head>

<?php
include_once($dir . "inc/head.inc");
?>
<!-- #BeginEditable "doctitle" --> 
<?php
$title="Want To Help?";
?>
<!-- #EndEditable -->
<title>
<?php 
if($title!="")
	echo "phpGrabComics - " . $title;
else
{
	$title = "phpGrabComics";
	echo $title;
}
?>
</title>
</head>
<body> 
<div id="header"> 
	<div class="left" id="logo"><a href="index.php"><img src="<?php echo $dir . $show_banner; ?>/phpgrabcomics_10.png" alt="phpGrabComics home page" width="85" height="85" style="vertical-align: middle; margin-right: 36px;" /></a><h1><?php echo $title; ?></h1></div> 
	<div class="right" id="title" style="vertical-align: top;">		
		<form method="get" action="search.php">
			<p style="text-align:right"><br /><input size="15" name="sp-q" value="<?php if(isset($_GET["sp-q"])) echo $_GET["sp-q"]; ?>" />
				<input type="hidden" name="sp-a" value="sp1002f053" style="font-size:12px;background-color:#FFFFCC" accesskey="s" />
				<input type="hidden" name="sp-p" value="all" />
				<input type="hidden" name="sp-f" value="iso-8859-1" />
				<input type="submit" value="Search" />				
			</p>
		</form>		
	</div> 
	<hr /> 
</div> 
<div id="body"> 
	<?php
	if (isset($_GET["show_source"]) and $_GET["show_source"]==1)
	{	
		echo "<br /><h2>Source of: ".$_SERVER["SCRIPT_NAME"]."</h2>\n<hr />\n";
		highlight_file($_SERVER["SCRIPT_FILENAME"]);
		printf("<hr /><br />". _LAST_MODIFIED . ": %s", date("Y/M/d H:i:s",filemtime($_SERVER["SCRIPT_FILENAME"])));
	}
	else
	{
	?> 
	<!-- #BeginEditable "testo dentro il livello" --> 
								<p>There are many web sites that customize
                phpGrabComics and do not release/share their changes <img src="media/angry.png" width="20" height="20" alt="angry" />.</p>
								<p> Please
                  consider contributing to phpGrabComics with your modules and
									  your icons.</p>
								<p>If you would like to contribute to the development, but you have not idea of what to
									do, here are some hints.</p>
								<h2>PHP developers </h2>
								<p>If you are a <strong>PHP developer</strong>, any help in building
									new modules is appreciated. Building a new module is not time consuming.
									Moreover, since version 1.2.1 building new modules is easier than before:
									if you have some PHP knowledge you can build a new module in less than
									30 minutes.</p>
								<p>After building your first module you can build
                new ones in less than 5 minutes, and often a few seconds are
									enough.</p>
								<p>If you need any help in building
                a new module, feel free to ask.</p>
								<p>Contributions will be credited in change log and release notes,
									and authors have access to last development version of phpGrabComics.</p>
								<p>phpGrabComics development versions are less stable than released ones,
									but they do have more features (e.g. more comics) and less bugs (usually).</p>
								<p><strong>Beta testing of  development version is appreciated.</strong></p>
								<h2>Designers</h2>
								<p>If you have some time, please consider <strong>contributing icons for the comics</strong>: some of the comics do not have a custom or have not nice icons. Icons must be 32x32 pixel.</p>
								<h2>Anyone </h2>
								<p>If you are <strong>not a PHP developer</strong> and not a designer
									you are anyway welcome to test phpGrabComics and to report
									bugs.</p>
								<p>You can help:</p>
								<ul>
								  <li>Trying phpGrabComics on different browsers and different operative systems, and reporting in which configurations is working and in which is not.</li>
                                  <li>Proofreading phpGrabComics pages and reporting spelling errors.</li>
	                              <li>Finding usability problems. </li>
	</ul>
								<p>&nbsp;</p>
	<!-- #EndEditable --> 
	<?php
	}
	?> 
</div> 
<div id="footer"> 
	<hr /> 
	<div class="left" id="source"><a href="<?php echo $dir; ?>index.php"><img src="<?php echo $dir; ?>media/logo.png" id="show_source" width="32" height="48" alt="show source" /></a> <a href="<?php echo $_SERVER["SCRIPT_NAME"];?>?show_source=1">show source</a></div> 
	<div class="right" id="hosted"> <a href="http://sourceforge.net/projects/phpgrabcomics/"><img src="sourceforge.php" id="sourceforge" alt="SourceForge" /></a> phpGrabComics	project is hosted at <a href="http://sourceforge.net/projects/phpgrabcomics/">sourceforge.net</a>.</div> 
</div> 
</body>
<!-- InstanceEnd --></html>
