<?php
/*

Copyright © 2001, 2002, 2003, 2004 Andres Baravalle

This file is part of phpGrabComics.

phpGrabComics is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

phpGrabComics is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with phpGrabComics; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*
* shows phpGrabComics files
*/

ini_set("html_errors", "0");

header("Content-type: text/plain");
include_once("dir.inc");
include_once($dir . "inc/prepend.inc");

$matches = Array(
	"inc",
	"config",
	"media",
	"Templates",
	Array("comics",False),
	Array("tmp",False),
	Array(".",False)
);

if(isset($_GET["absolute"]) and $_GET["absolute"] == True)
	$absolute = True;
else
	$absolute = False;

// check if the user provides a directory separator.
// directory separators can be used to provide a different style for the file listing
// for example, you could be developing under windows
// but you could need a unix-style file listing 	
if(isset($_GET["directory_separator"]) and !empty($_GET["directory_separator"]))
	$directory_separator = $_GET["directory_separator"];
else		
	$directory_separator = DIRECTORY_SEPARATOR;
	


admin::appFiles($matches,$absolute,$directory_separator);
?>