<?php

$contents = trim(ob_get_contents());
ob_end_clean();

$gzip = False;

if($gzip === True and isset($_SERVER["HTTP_ACCEPT_ENCODING"]) and strpos($_SERVER["HTTP_ACCEPT_ENCODING"],"gzip")!==False and strpos($_SERVER["PHP_SELF"],"php")!==False)
{
	$contents .= "<!-- gzip -->"; 
	
	$gzip_size = strlen($contents);
	$gzip_crc = crc32($contents);
	$contents = gzcompress($contents, 4);
	$contents = substr($contents, 0, strlen($contents) - 4);

	$contents_start = "\x1f\x8b\x08\x00\x00\x00\x00\x00";
	$pack_gzip_crc = pack('V', $gzip_crc);
	$pack_gzip_size = pack('V', $gzip_size);
	$contents_length = strlen($contents_start . $contents . $pack_gzip_crc . $pack_gzip_size);

	header("Content-Encoding: gzip");
	header("Content-Length: $contents_length");
//	header("Vary: User-Agent");
	header("Vary: *");
	
	echo $contents_start;
	echo $contents;
	echo $pack_gzip_crc;
	echo $pack_gzip_size;
}
else
{
	header("Connection: keep-alive");
	echo $contents;	
}
?>