<?php
/*

Copyright 2001-2004 Andres Baravalle

This file is part of phpGrabComics.

phpGrabComics is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

phpGrabComics is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with phpGrabComics; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

// These variables are optional. You need only them for SAVING the files your retrive.

// set user and md5 password for private access
$user = "";
$psw = "";

// set database configuration
$db_user = "";
$db_psw = "";
$db_host = "";
$db_name = "";
$db_prefix = "";

// enables authentication
$authenticated = True;

// if set to true, enable db
$db_enabled = False;

// usually you don't need to configure anything else.

##############################################################################################

// folder where configurations are saved. it is relative to the root of phpgrabcomics.
$config = "config";

// path where comics are saved
$comics = "comics";

// path for tmp files
$tmp_files = "tmp";

// default comic
$default_comic = "dilbert";

// default icon
$default_icon = "phpgrabcomics.png";

// if true serves the last saved comic
// if false checks to get the last copy every time
// emulates behaviour of phpgrabcomics 1.1.3
if(!isset($_GET["static_copy"]))
	$static_copy = True;
elseif($_GET["static_copy"]=="False")
	$static_copy = False;

// it not false notifies user in case of error grabbing a comic
$notify = False;
// it can be overriden per-comic using $class->report
// $notify="andres.baravalle@libero.it";

// if your provider doesn't allow you to use .htaccess files, you need to change the following lines to
// $show_banner = "banners.php";
// $show_comic = "comic.php";
// and rename the files accordingly

$show_banner = "banners.php";
$show_comic = "comic.php";

// if you want to allow gzip compression of pages
$gzip = True;

##############################################################################################

$version = "1.3.3";

// this array contains the list of the comics that will be archived when the daily comic is downloaded. 
// all the other comics will be deleted day by day, while comics in this array will be saved 
// in the folder "comics"
$comics_updated = Array("altan","andycapp","bobo","calvinandhobbes","clemente","dilbert","fontanarrosa","forattini","heathcliff","marmaduke","snoopy","userfriendly","vauro");

// if files with private data (as password) have to be included when making nightly builds
// mind that private data are stored using md5, so it would not be so difficult to break if short.
$private_exclude = True;

// list of files/paths that must be excluded from automatic builds
$private_files = Array("config.inc",".db",".tar",".gz",".bak","_today","mycrons");

?>