<?php
/*

Copyright  2001, 2002, 2003, 2004 Andres Baravalle

This file is part of phpGrabComics.

phpGrabComics is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

phpGrabComics is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with phpGrabComics; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/**
 * language file: contains text strings used in the software, for easy translation.
*/

// errors
define("_SAVE_FILE","\n<p>\nCould not save file %s in location %s.\n</p>\n");
define("_OPEN_DEST_FILE","\n<p>\nCould not open destination file %s for writing %s.\n</p>\n");
define("_GRAB_URL","\n<p>\nCould not grab URL from %s correctly. Check your module.\n</p>\n");
define("_GRAB_HTML","\n<p>\nCould not connect to URL %s.\n</p>\n");
define("_FILENAME","\n<p>\nCould not retrieve file name correctly for module %s. Check your module.\n</p>\n");
// define("_SHOW_IMG","\n<p>\nCould not show image.\n</p>\n");
// define("_MAKE_IMG","\n<p>\nCould not output image. Problems displaying %s.\n</p>\n");
// define("_LIST_STRIPS","\n<p>\nCould not list strips. Check config file.\n</p>\n");
// define("_PRE_GRAB_URL","\n<p>\nCould not start grabbing URL. Check your module.\n</p>\n");
define("_CONFIG","\n<p>\nError looking for configuration.\n</p>\n");
define("_CLASS","\n<p>\nProblems in class %s. Check code in *.inc files or contact the author.\n</p>\n");
define("_NO_AUTH","\n<p>\nSorry, you <b>must</b> be authenticated to use such functions.\n<br />\n</p>\n");
define("_FAILED_AUTH","\n<p>User authentication failed.\n</p>\n");
define("_NO_IMG_URL","\n<p>URL for comic %s not grabbed correctly.\n</p>\n");
define("_NO_CONNECT","\n<p>Could not connect to %s page.\n</p>\n");
define("_NO_SOCKET","\n<p>Socket not available.</p>\n");
define("_NO_LOCK","\n<p>Could not lock file %s.</p>\n");
define("_NO_WRITABLE","\n<p>File %s is not writable.</p>\n");
define("_BROKEN_IMAGE","\n<p>\nImage grabbed is not valid.\n</p>\n");
define("_TOO_SMALL_IMAGE","\n<p>\nImage at %s is too small and is likely to be not valid.\n</p>\n");
define("_NOT_AVAILABLE","Image not available");
define("_SERVER_DOWN","<p>Sorry, the required server is down. Function not available.</p>");

// messages
define("_IMG_AVAILABLE","<p>%s images available.</p>");
define("_IMG_SAVED","\n<p>\nImage %s already saved.\n</p>\n");
define("_IMG_SAVING","\n<p>\nSaving %s ...\n</p>\n");
define("_IMG_SAVED_OK","\n<p>\nDone. \n<p>\nSaved in %s.\n</p>\n");
define("_IMG_SAVED_CORRECTLY","%s downloaded correctly.\n");
define("_NO_COMICS","\nSorry, there are no images available for this module in archive. This may be because this site saves only <b>some</b> of the comics that shows.\n");
define("_COMICS_NOT_INCLUDED","You need to include your comics to use this function.\n");
define("_CHECKGRAB","Don't need to grab again.");
define("_LIST_STRIPS_TEXT","<p>Click on each date to show the corresponding grabbed comic strip.</p>");
define("_LAST_MODIFIED","Last modified");
?>
