<?php
/*

Copyright  2001, 2002, 2003, 2004 Andres Baravalle

This file is part of phpGrabComics.

phpGrabComics is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

phpGrabComics is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with phpGrabComics; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
include_once("dir.inc");
include_once($dir . "inc/prepend.inc");
echo "<?xml version=\"1.0\" encoding=\"iso-8859-1\" ?>\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"><!-- InstanceBegin template="Templates/accessible.dwt" codeOutsideHTMLIsLocked="true" -->
<head>

<?php
include_once($dir . "inc/head.inc");
?>
<!-- #BeginEditable "doctitle" -->
<?php
$title="Overview";
?>
<!-- #EndEditable -->
<title>
<?php 
if($title!="")
	echo "phpGrabComics - " . $title;
else
{
	$title = "phpGrabComics";
	echo $title;
}
?>
</title>
</head>
<body> 
<div id="header"> 
	<div class="left" id="logo"><a href="index.php"><img src="<?php echo $dir . $show_banner; ?>/phpgrabcomics_10.png" alt="phpGrabComics home page" width="85" height="85" style="vertical-align: middle; margin-right: 36px;" /></a><h1><?php echo $title; ?></h1></div> 
	<div class="right" id="title" style="vertical-align: top;">		
		<form method="get" action="search.php">
			<p style="text-align:right"><br /><input size="15" name="sp-q" value="<?php if(isset($_GET["sp-q"])) echo $_GET["sp-q"]; ?>" />
				<input type="hidden" name="sp-a" value="sp1002f053" style="font-size:12px;background-color:#FFFFCC" accesskey="s" />
				<input type="hidden" name="sp-p" value="all" />
				<input type="hidden" name="sp-f" value="iso-8859-1" />
				<input type="submit" value="Search" />				
			</p>
		</form>		
	</div> 
	<hr /> 
</div> 
<div id="body"> 
	<?php
	if (isset($_GET["show_source"]) and $_GET["show_source"]==1)
	{	
		echo "<br /><h2>Source of: ".$_SERVER["SCRIPT_NAME"]."</h2>\n<hr />\n";
		highlight_file($_SERVER["SCRIPT_FILENAME"]);
		printf("<hr /><br />". _LAST_MODIFIED . ": %s", date("Y/M/d H:i:s",filemtime($_SERVER["SCRIPT_FILENAME"])));
	}
	else
	{
	?> 
	<!-- #BeginEditable "testo dentro il livello" --> 
  <div style="float: left;text-align: left;	padding: 4px;margin: 4px; max-width:110px"><a href="http://www.gnu.org"><img src="media/gnu-head-sm.png" alt="GNU" width="90" style="padding: 4px;margin: 4px; clear: both;" /></a><br />
    <a href="http://httpd.apache.org"><img src="media/apache.png" alt="Apache HTTPD" width="90" height="27" style="padding: 4px;margin: 4px; clear: both" /></a><br />
    <a href="http://www.php.net"><img src="media/php.png" alt="PHP" width="90" height="48"  style="padding: 4px;margin: 4px; clear: both" /></a><br />
    <a href="http://www.mysql.com"><img src="media/mysql.png" alt="MySQL" width="90" height="47" style="padding: 4px;margin: 4px; clear: both" /><br />
    </a><a href="http://pear.php.net"><img src="media/pear.png" alt="pear" width="90" height="43" style="padding: 4px;margin: 4px; clear: both" /></a></div> 
  <div style="float: left;text-align: left;	padding: 4px;margin: 4px;min-width: 50%;max-width:70%"> 
    <p>GNU phpGrabComics is a software to grab and save comic strips from the web. </p>
    <p>Its development started in 2001, not to loose the daily <a href="http://www.dilbert.com">Dilbert</a> strip that I love. It was released, since the first steps of its development, as free software, under the terms of GNU General Public License.</p>
    <p>phpGrabComics is now a stable application and supports a huge number of comics. Users can download the last stable release or contact the author for the last development branch. Since December 2003, phpGrabComics is part of the <a href="http://www.gnu.org">GNU project</a>. </p>
    <p>phpGrabComics is <a href="standards.php">compliant</a> to <strong>XHTML 1.0 strict</strong> and <strong>CSS 1</strong>/<strong>CSS 2</strong> standards, and to <strong>WAI Priority 1</strong> checkpoints. </p>
    <p>phpgrabComics is written in <a href="http://www.php.net">PHP</a> and  uses <a href="http://httpd.apache.org">MySQL</a> as database. No other database technologies are supported at the moment, and no specific request as been made in that direction. phpGrabComics includes <a href="http://pear.php.net">PEAR</a> classes. </p>
    <p>phpGrabComics is optimised for use on *nix systems (as <a href="http://www.debian.org">GNU/Linux</a> and BSD) and for the <a href="http://httpd.apache.org">Apache</a> web server. It will work without any problems on Microsoft Windows, and/or on other web servers supporting  PHP, but some features will not be available. </p>
    <p>phpGrabComics is provided in different &quot;flavours&quot;.</p>
    <p><strong>phpGrabComics server</strong> is the main application. A phpGrabComics server is in charge of getting comics from different sources and allows to automatically save comics for personal use. It can be used as well to share comics with other web users. </p>
    <p><strong>phpGrabComics ports</strong> can be used to connect to a phpGrabComics server. </p>
    <ul>
      <li><a href="desktop">phpGrabComics for desktop</a>: allows to have daily comics on your desktop; works on desktops  that allow you to have a web page as  background. </li>
      <li><a href="your_site.php">phpGrabComics for your site</a>: allows to get comics from a phpGrabComics server and use them in any web site. </li>
      <li><a href="nuke.php">phpGrabComics for nuke</a>: a phpNuke module that allows to to get comics from a phpGrabComics server.</li>
      <li><a href="syndication.php">phpGrabComics for syndication</a>: RSS file, for custom applications/web pages. </li>
      <li><a href="netscape_sidebar.php">phpGrabComics for netscape sidebar</a>: allows to have daily comics on Netscape or Mozilla sidebar.</li>
      <li><a href="command_line.php">phpGrabComics command line</a>: allows to get comics from the command line.</li>
    </ul>
  </div> 
  <!-- #EndEditable --> 
	<?php
	}
	?> 
</div> 
<div id="footer"> 
	<hr /> 
	<div class="left" id="source"><a href="<?php echo $dir; ?>index.php"><img src="<?php echo $dir; ?>media/logo.png" id="show_source" width="32" height="48" alt="show source" /></a> <a href="<?php echo $_SERVER["SCRIPT_NAME"];?>?show_source=1">show source</a></div> 
	<div class="right" id="hosted"> <a href="http://sourceforge.net/projects/phpgrabcomics/"><img src="sourceforge.php" id="sourceforge" alt="SourceForge" /></a> phpGrabComics	project is hosted at <a href="http://sourceforge.net/projects/phpgrabcomics/">sourceforge.net</a>.</div> 
</div> 
</body>
<!-- InstanceEnd --></html>
