<?php
/*

Copyright  2001, 2002, 2003, 2004 Andres Baravalle

This file is part of phpGrabComics.

phpGrabComics is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

phpGrabComics is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with phpGrabComics; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
include_once("dir.inc");
include_once($dir . "inc/prepend.inc");
echo "<?xml version=\"1.0\" encoding=\"iso-8859-1\" ?>\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"><!-- InstanceBegin template="/Templates/accessible.dwt" codeOutsideHTMLIsLocked="true" -->
<head>

<?php
include_once($dir . "inc/head.inc");
?>
<!-- #BeginEditable "doctitle" --> 
<?php
$title="Stats";
?>
<!-- #EndEditable -->
<title>
<?php 
if($title!="")
	echo "phpGrabComics - " . $title;
else
{
	$title = "phpGrabComics";
	echo $title;
}
?>
</title>
</head>
<body> 
<div id="header"> 
	<div class="left" id="logo"><a href="index.php"><img src="<?php echo $dir . $show_banner; ?>/phpgrabcomics_10.png" alt="phpGrabComics home page" width="85" height="85" style="vertical-align: middle; margin-right: 36px;" /></a><h1><?php echo $title; ?></h1></div> 
	<div class="right" id="title" style="vertical-align: top;">		
		<form method="get" action="search.php">
			<p style="text-align:right"><br /><input size="15" name="sp-q" value="<?php if(isset($_GET["sp-q"])) echo $_GET["sp-q"]; ?>" />
				<input type="hidden" name="sp-a" value="sp1002f053" style="font-size:12px;background-color:#FFFFCC" accesskey="s" />
				<input type="hidden" name="sp-p" value="all" />
				<input type="hidden" name="sp-f" value="iso-8859-1" />
				<input type="submit" value="Search" />				
			</p>
		</form>		
	</div> 
	<hr /> 
</div> 
<div id="body"> 
	<?php
	if (isset($_GET["show_source"]) and $_GET["show_source"]==1)
	{	
		echo "<br /><h2>Source of: ".$_SERVER["SCRIPT_NAME"]."</h2>\n<hr />\n";
		highlight_file($_SERVER["SCRIPT_FILENAME"]);
		printf("<hr /><br />". _LAST_MODIFIED . ": %s", date("Y/M/d H:i:s",filemtime($_SERVER["SCRIPT_FILENAME"])));
	}
	else
	{
	?> 
	<!-- #BeginEditable "testo dentro il livello" -->
				
				 
				<?php
				if (admin::checkPerm() and $authenticated == True)
				{
					if($db_enabled)
					{
						if(mysql_connect($db_host,$db_user,$db_psw) and mysql_select_db($db_name))
						{
							$sql = "select comic, hits, UNIX_TIMESTAMP(date) as grab_first_date, UNIX_TIMESTAMP(last_date) as grab_last_date FROM ${db_prefix}_hits ";
							if(isset($_GET["orderby"]))
							{
								if($_GET["orderby"]=="hits")
									$sql .= "order by hits";
								elseif($_GET["orderby"]=="first")
									$sql .= "order by date";
								elseif($_GET["orderby"]=="last")
									$sql .= "order by last_date";
								else
									$sql .= "order by comic";
							}
							else
								$sql .= "order by comic";	
								
							if(isset($_GET["order"]) and $_GET["order"]=="desc")
							{
								$next_order = "asc";
								$sql .= " desc";
							}
							else
							{
								$next_order = "desc";
								$sql .= " asc";
							}											
							
							$result = mysql_query($sql);
							
							$start_timestamp = strtotime("9 December 2003");
							$seconds = time() - $start_timestamp;
							$days = sprintf("%u",$seconds/(60*60*24));						
					
							if(mysql_num_rows($result)>0)
							{
								// update the number
								echo "<p>Statistics	for phpGrabComics web service, since 9th December, 2003. </p>";
								echo "<table style=\"margin: 10px; padding: 8px; border-spacing: 8px;\"  width=\"90%\">\n";
								echo "<tr>";
								echo "<th><a href=\"". $_SERVER["SCRIPT_NAME"] . "?orderby=comic&amp;order=$next_order\">Comic</a></th>";
								echo "<th><a href=\"". $_SERVER["SCRIPT_NAME"] . "?orderby=hits&amp;order=$next_order\">Hits</a></th>";
								echo "<th>Hits per Day</th>";
								echo "<th><a href=\"". $_SERVER["SCRIPT_NAME"] . "?orderby=first&amp;order=$next_order\">First downloaded</a></th>";
								echo "<th><a href=\"". $_SERVER["SCRIPT_NAME"] . "?orderby=last&amp;order=$next_order\">Last downloaded</a></th>";
								echo "</tr>\n";
								
								$c = 0;
								$hits = 0;
								while ($row = mysql_fetch_array($result, MYSQL_ASSOC))
								{
									echo "<tr><td>";
									echo "<a href=\"index.php?comic_array[]=" .$row["comic"] . "&amp;view=1\">".$row["comic"]."</a>";
									echo "</td><td>".$row["hits"]."</td><td>".round(($row["hits"]/$days),3)."</td>";
									echo "<td>". date("Y/M/d", $row["grab_first_date"]) . "</td>";
									echo "<td>". date("Y/M/d", $row["grab_last_date"]) . "</td>";
									echo "</tr>\n";
									$c++;
									$hits += $row["hits"];
								}
								echo "</table>\n";
	
								if($c<sizeof($comic_list))
								echo "<p>$c different comics requested.</p>";
								echo "<p>$hits comics requested, with an average of ". round(($hits/$days),3). " comics per day.</p>";
							}
						}
					}
				}
				else
					echo "<p>Sorry, statistics are available only for the administrator.</p>";
				?>
	<!-- #EndEditable --> 
	<?php
	}
	?> 
</div> 
<div id="footer"> 
	<hr /> 
	<div class="left" id="source"><a href="<?php echo $dir; ?>index.php"><img src="<?php echo $dir; ?>media/logo.png" id="show_source" width="32" height="48" alt="show source" /></a> <a href="<?php echo $_SERVER["SCRIPT_NAME"];?>?show_source=1">show source</a></div> 
	<div class="right" id="hosted"> <a href="http://sourceforge.net/projects/phpgrabcomics/"><img src="sourceforge.php" id="sourceforge" alt="SourceForge" /></a> phpGrabComics	project is hosted at <a href="http://sourceforge.net/projects/phpgrabcomics/">sourceforge.net</a>.</div> 
</div> 
</body>
<!-- InstanceEnd --></html>
