<?php
/*

Copyright  2001, 2002, 2003, 2004 Andres Baravalle

This file is part of phpGrabComics.

phpGrabComics is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

phpGrabComics is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with phpGrabComics; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
include_once("dir.inc");
include_once($dir . "inc/prepend.inc");
echo "<?xml version=\"1.0\" encoding=\"iso-8859-1\" ?>\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"><!-- InstanceBegin template="/Templates/accessible.dwt" codeOutsideHTMLIsLocked="true" -->
<head>

<?php
include_once($dir . "inc/head.inc");
?>
<!-- #BeginEditable "doctitle" -->
<?php
$title="Banners";
?>
<!-- #EndEditable -->
<title>
<?php 
if($title!="")
	echo "phpGrabComics - " . $title;
else
{
	$title = "phpGrabComics";
	echo $title;
}
?>
</title>
</head>
<body> 
<div id="header"> 
	<div class="left" id="logo"><a href="index.php"><img src="<?php echo $dir . $show_banner; ?>/phpgrabcomics_10.png" alt="phpGrabComics home page" width="85" height="85" style="vertical-align: middle; margin-right: 36px;" /></a><h1><?php echo $title; ?></h1></div> 
	<div class="right" id="title" style="vertical-align: top;">		
		<form method="get" action="search.php">
			<p style="text-align:right"><br /><input size="15" name="sp-q" value="<?php if(isset($_GET["sp-q"])) echo $_GET["sp-q"]; ?>" />
				<input type="hidden" name="sp-a" value="sp1002f053" style="font-size:12px;background-color:#FFFFCC" accesskey="s" />
				<input type="hidden" name="sp-p" value="all" />
				<input type="hidden" name="sp-f" value="iso-8859-1" />
				<input type="submit" value="Search" />				
			</p>
		</form>		
	</div> 
	<hr /> 
</div> 
<div id="body"> 
	<?php
	if (isset($_GET["show_source"]) and $_GET["show_source"]==1)
	{	
		echo "<br /><h2>Source of: ".$_SERVER["SCRIPT_NAME"]."</h2>\n<hr />\n";
		highlight_file($_SERVER["SCRIPT_FILENAME"]);
		printf("<hr /><br />". _LAST_MODIFIED . ": %s", date("Y/M/d H:i:s",filemtime($_SERVER["SCRIPT_FILENAME"])));
	}
	else
	{
	?> 
	<!-- #BeginEditable "testo dentro il livello" -->
        <p>phpGrabComics was born as a simple method to download dilbert daily
          strip from <a href="http://www.dilbert.com">dilbert.com</a>, for my
          personal usage. </p>
        				<p>Today hundreds of sites are using phpGrabComics. While some of them
          use their own installation, there are many sites (most!) that directly link to
          the files in this site.</p>
        <p>Of course I encourage users to install, modify and share their phpGrabComics
		  installations. This is the way that the software may evolve.</p>
		<p> If you prefer linking to the daily strips, feel free to do that, but
		  please add a phpGrabComics banner <strong>in the same page that will
		  show the comics</strong>. Please note that <strong>if you do not show
		  the banner you will not be able to load the images</strong> (unless
		  you are willing to play a little with HTTP headers...).</p>
		<p><strong>Please do not add 1 pixel banners, or banners in a hidden layer
		  or I will have to ban your site  <img src="media/angry.png" alt="smile" width="20" height="20" />.</strong></p>
		<p><strong>The banner has to be visible, and its presence is checked by
		  an human (me). </strong></p>
		<p>To link directly to the strips:</p>
		<ol>
		  <li>Decide the comic strip that you want to use. Every comic strip is
			identified by a short name (see the <a href="modules.php">list</a>)</li>
		  <li>Insert the image as follows: <code>&lt;a href=&quot;http://www.baravalle.it/phpgrabcomics/&gt;&lt;img
			src=&quot;http://www.baravalle.it/phpgrabcomics/comic/dilbert&quot;
			alt=&quot;phpGrabComics&quot;&gt;</code>. You can change &quot;dilbert&quot;
			whit whatever comic do you want to insert in your page.</li>
		  <li>Insert somewhere in your page a phpGrabComics banner, as follows:
			<code>&lt;a href=&quot;http://www.baravalle.it/phpGrabComics/&gt;&lt;img
			src=&quot;http://www.baravalle.it/phpgrabcomics/banners/phpgrabcomics.png&quot;
			alt=&quot;phpGrabComics&quot;&gt;</code>. You can use any one of the
			following images, linking directly the image (you cannot use a local
			copy). If you made a phpGrabComics
			banner, you can send it to me to be included in this list.</li>
			<li>If you prefer, you can use a phpGrabComics banner as <a href="counter.php">counter</a>.</li>
  </ol>
		<table class="images">
		  <tr>
			<td><img src="banners/phpgrabcomics.png" alt="phpgrabcomics" width="100" height="100" /></td>
			<td><img src="banners/phpgrabcomics_2.png" alt="phpgrabcomics_2" width="85" height="85" /></td>
			<td><img src="banners/phpgrabcomics_3.png" alt="phpgrabcomics_3" width="190" height="75" /></td>
		  </tr>
		  <tr>
			<td>phpgrabcomics.png</td>
			<td>phpgrabcomics_2.png</td>
			<td>phpgrabcomics_3.png</td>
		  </tr>
		  <tr>
			<td><img src="banners/phpgrabcomics_4.png" width="100" height="120" alt="phpgrabcomics_4" /></td>
			<td><img src="banners/phpgrabcomics_5.png" alt="phpgrabcomics_5" /></td>
			<td><img src="banners/phpgrabcomics_6.png" alt="phpgrabcomics_6" width="190" height="75" /></td>
		  </tr>
		  <tr>
			<td>phpgrabcomics_4.png</td>
			<td>phpgrabcomics_5.png</td>
			<td>phpgrabcomics_6.png</td>
		  </tr>
		  <tr>
			<td><img src="banners/phpgrabcomics_7.png" alt="phpgrabcomics_7" width="66" height="79" /></td>									
			<td><img src="banners/phpgrabcomics_8.png" alt="phpgrabcomics_8" /></td>
												<td><img src="banners/phpgrabcomics_9.png" alt="phpgrabcomics_9" /></td>
		  </tr>
		  <tr>
												<td>phpgrabcomics_7.png<br />
														 <span class="small">(thanks to Bicio Rovelli,
			  Switzerland)</span></td>
												<td>phpgrabcomics_8.png<br /> <span class="small">(for phpGrabComics nuke!)</span></td>
												<td>phpgrabcomics_9.png<br /> <span class="small">(for phpGrabComics nuke!)</span></td>
		  </tr>
		  <tr>
		  	<td><img src="banners/phpgrabcomics_10.png" alt="phpgrabcomics_10" /></td>
		  	<td><img src="banners/phpgrabcomics_11.png" alt="phpgrabcomics_11" /></td>
		  	<td><img src="banners/phpgrabcomics_12.png" alt="phpgrabcomics_12" /></td>
	  	</tr>
		  <tr>
		  	<td>phpgrabcomics_10.png</td>
		  	<td>phpgrabcomics_11.png<br />		  		<span class="small">(thanks to Alex Ward, <a href="http://www.fr-es.co.uk/">www.fr-es.co.uk</a>)</span></td>
		  	<td>phpgrabcomics_12.png<br />		  		<span class="small">(thanks to Alex Ward, <a href="http://www.fr-es.co.uk/">www.fr-es.co.uk</a>)</span></td>
	  	</tr>
		  <tr>
		  		<td><img src="banners/phpgrabcomics_13.png" alt="phpgrabcomics_13" /></td>
		  		<td>&nbsp;</td>
		  		<td>&nbsp;</td>
  		</tr>
		  <tr>
		  		<td>phpgrabcomics_13.png</td>
		  		<td>&nbsp;</td>
		  		<td>&nbsp;</td>
  		</tr>
		</table>
		<p>If you want to contribute with banners, they are really welcome. As
		  	I am not a web designer, it is very hard for me doing a good job...</p>
		<?php
$sql = "SELECT count(page) as sites FROM ${db_prefix}_sites where banned ='1'";

if(mysql_connect($db_host,$db_user,$db_psw) and mysql_select_db($db_name))
{
	$result = mysql_query($sql);
	$row = mysql_fetch_array($result, MYSQL_ASSOC);
	$sites = $row["sites"];
}
?>
		<p>If you cannot load the comics it can be:</p>
		<ul>
		  <li>Because your site has been banned; currently <strong><?php echo $sites; ?></strong>
			sites are banned (<a href="site_status.php">check if your site is banned</a>). If your site has been
				banned you know for sure why. Correct the problem and contact the author. </li>
		  <li>Because your page requested too many comics and only few banners;
			in that case contact the author to reset the counter, <strong>after
			inserting the banner</strong>.</li>
		</ul>
		<p>Please report problems in <a href="http://sourceforge.net/forum/?group_id=33239">phpGrabComics forums</a> or using the <a href="http://sourceforge.net/tracker/?group_id=33239&atid=407573">bug tracking system</a> if you find errors.</p>
	<!-- #EndEditable --> 
	<?php
	}
	?> 
</div> 
<div id="footer"> 
	<hr /> 
	<div class="left" id="source"><a href="<?php echo $dir; ?>index.php"><img src="<?php echo $dir; ?>media/logo.png" id="show_source" width="32" height="48" alt="show source" /></a> <a href="<?php echo $_SERVER["SCRIPT_NAME"];?>?show_source=1">show source</a></div> 
	<div class="right" id="hosted"> <a href="http://sourceforge.net/projects/phpgrabcomics/"><img src="sourceforge.php" id="sourceforge" alt="SourceForge" /></a> phpGrabComics	project is hosted at <a href="http://sourceforge.net/projects/phpgrabcomics/">sourceforge.net</a>.</div> 
</div> 
</body>
<!-- InstanceEnd --></html>
