<?php
/*

Copyright  2001, 2002, 2003, 2004 Andres Baravalle

This file is part of phpGrabComics.

phpGrabComics is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

phpGrabComics is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with phpGrabComics; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*
* proxy for showing banners: shows the requested banner and increases the counter
*/

$expires = 60 * 60 * 24 * 90;
$gm_expires = gmdate('D, d M Y H:i:s', time() + $expires);
header("Cache-control: private, max-age=$expires, pre-check=$expires");
header("Expires: $gm_expires GMT");

if(isset($_SERVER["PATH_INFO"]) and basename($_SERVER["PATH_INFO"])!="")
{
	include_once("inc/prepend.inc");

	$path="media".$_SERVER["PATH_INFO"];

	if(!is_file($path))
		$path = "media/phpgrabcomics.png";

	if(!admin::hitsAndCredits("credits"))
		$path = "media/phpgrabcomics_error.png";

	if(strpos($_SERVER["PATH_INFO"],"counter")!==False)
	{
		$img = str_replace("_counter","",$_SERVER["PATH_INFO"]);
		$img = $dir . "media" . $img;

		$phpgrabcomics[0]->makeJpegCounter($img);
	}
	else
	{
		if($last_modified = @gmdate("D, d M Y H:i:s", filemtime($$path)))
		{
			header("Last-Modified: $last_modified GMT");
		}
		$phpgrabcomics[0]->makeImg($path);
	}
}
?>