<?php
/*

Copyright  2001, 2002, 2003, 2004 Andres Baravalle

This file is part of phpGrabComics.

phpGrabComics is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

phpGrabComics is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with phpGrabComics; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*
* proxy for showing comics: before showing a comic, checks if phpgrabcomics banner was exposed
*/

/*
$expires = 60 * 60 * 24;
$gm_expires = gmdate('D, d M Y H:i:s', (time() + $expires));
header("Cache-control: private, max-age=$expires, pre-check=$expires");
header("Expires: $gm_expires GMT");
*/

$cache_limiter = session_cache_limiter("nocache");

if(isset($_SERVER["PATH_INFO"]) and basename($_SERVER["PATH_INFO"])!="")
{

	$comic = basename(trim($_SERVER["PATH_INFO"]));
	$phpgrabcomics_selected[] = $comic;
	
	include_once("inc/prepend.inc");

// need to check if the PATH_INFO is correct or not. if it is not correct there will be many and many errors
//	checks if exists a class for selected comic
	if(!is_file("$dir/$config/$comic.inc") or !admin::hitsAndCredits("hits"))
		$path = "media/phpgrabcomics_error.png";
	else
	{
		$path=$comics."/".$comic.$phpgrabcomics[0]->img_today_suffix;
		
	}
	if(admin::checkLink())
	{
			/*
			if($last_modified = @gmdate("D, d M Y H:i:s", filemtime($$path)))
			{
				header("Last-Modified: $last_modified GMT");
			}
			*/
			$phpgrabcomics[0]->makeImg($path);
	}
	else
	{
		$phpgrabcomics[0]->makeImg("media/phpgrabcomics_no_banner.png");
	}
}
?>