<?php
/*

Copyright  2001, 2002, 2003, 2004 Andres Baravalle

This file is part of phpGrabComics.

phpGrabComics is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

phpGrabComics is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with phpGrabComics; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

Class Marktrail extends phpGrabComics
{
	# Grab Marktrail cartoon and put it in your site

   	var $match_prefix = "";

	function Marktrail()
	{
		$ci = "Mark_Trail";
		$this->name = str_replace("_", " ", $ci);
		$this->unix_name = str_replace(".inc","",basename(strtolower(__FILE__)));		// US east time zone is -4 hours to GMT
		$offset = 60 * 60 * 4;		
		$today = date("Ymd", time()-$offset);

		$this->address = "http://www.chron.com/content/chronicle/comics/archive/showComick.hts?date=$today&name=$ci";
		$this->img_url = "http://est.rbma.com/content/$ci?date=$today";

		$today = gmdate("Y-m-d", time()-$offset);
		$this->img_name = "$today.gif";
	}

	function grabHtml()
	{
		return True;
	}

	function grabUrl()
	{
		return $this->img_url;
	}

	function getFileName()
	{
		return $this->img_name;
	}
}

?>