<?php
/*

Copyright  2001, 2002, 2003, 2004 Andres Baravalle

This file is part of phpGrabComics.

phpGrabComics is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

phpGrabComics is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with phpGrabComics; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
include_once("dir.inc");
include_once($dir . "inc/prepend.inc");
echo "<?xml version=\"1.0\" encoding=\"iso-8859-1\" ?>\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"><!-- InstanceBegin template="/Templates/accessible.dwt" codeOutsideHTMLIsLocked="true" -->
<head>

<?php
include_once($dir . "inc/head.inc");
?>
<!-- #BeginEditable "doctitle" -->
<?php
$title="Frequently Asked Questions";
?>
<!-- #EndEditable -->
<title>
<?php 
if($title!="")
	echo "phpGrabComics - " . $title;
else
{
	$title = "phpGrabComics";
	echo $title;
}
?>
</title>
</head>
<body> 
<div id="header"> 
	<div class="left" id="logo"><a href="index.php"><img src="<?php echo $dir . $show_banner; ?>/phpgrabcomics_10.png" alt="phpGrabComics home page" width="85" height="85" style="vertical-align: middle; margin-right: 36px;" /></a><h1><?php echo $title; ?></h1></div> 
	<div class="right" id="title" style="vertical-align: top;">		
		<form method="get" action="search.php">
			<p style="text-align:right"><br /><input size="15" name="sp-q" value="<?php if(isset($_GET["sp-q"])) echo $_GET["sp-q"]; ?>" />
				<input type="hidden" name="sp-a" value="sp1002f053" style="font-size:12px;background-color:#FFFFCC" accesskey="s" />
				<input type="hidden" name="sp-p" value="all" />
				<input type="hidden" name="sp-f" value="iso-8859-1" />
				<input type="submit" value="Search" />				
			</p>
		</form>		
	</div> 
	<hr /> 
</div> 
<div id="body"> 
	<?php
	if (isset($_GET["show_source"]) and $_GET["show_source"]==1)
	{	
		echo "<br /><h2>Source of: ".$_SERVER["SCRIPT_NAME"]."</h2>\n<hr />\n";
		highlight_file($_SERVER["SCRIPT_FILENAME"]);
		printf("<hr /><br />". _LAST_MODIFIED . ": %s", date("Y/M/d H:i:s",filemtime($_SERVER["SCRIPT_FILENAME"])));
	}
	else
	{
	?> 
	<!-- #BeginEditable "testo dentro il livello" --> 
  <h2>phpGrabComics releases</h2> 
  <ul> 
    <li class="question">When will be released the next version of phpGrabComics? </li> 
    <li class="answer">phpGrabComics is tested at <a href="http://www.baravalle.it/phpGrabComics">www.baravalle.it/phpGrabComics</a> and released as soon as known bugs are correct. phpGrabComics is usually released a two/three times per year. Usually the development is carried on during the holidays.</li> 
  </ul> 
  <ul> 
    <li class="question">If I download phpGrabComics I get a copy of the web site <a href="http://www.baravalle.it/phpgrabcomics">www.baravalle.it/phpgrabcomics</a>. Why don't you make a different version of phpGrabComics for download?</li> 
    <li class="answer">On-line version and download version are basically the same (there could be minor differences). I do not make two different versions because I do not have enough time.</li> 
  </ul> 
  <ul> 
    <li class="question">I have seen that at <a href="http://www.baravalle.it/phpGrabComics">www.baravalle.it/phpGrabComics</a> there are more features than in the download version. Why? </li> 
    <li class="answer">The version at <a href="http://www.baravalle.it/phpGrabComics">www.baravalle.it/phpGrabComics</a>. Online version usually has more features, more comic strips, more bugs and is released as soon as bugs are corrected.</li> 
  </ul> 
  <ul> 
    <li class="question">I want the latest phpGrabComics beta version. Is it possible? </li> 
    <li class="answer">phpGrabComics beta versions are available for developers. If you contribute to phpGrabComics with code or graphics, you will gain access to beta versions. </li> 
  </ul> 
  <h2>Platforms and browsers </h2> 
  <ul> 
    <li class="question">Is phpGrabComics optimised for any specific platform ? </li> 
    <li class="answer">Yes. phpGrabComics is optimised for *nix systems (Linux, FreeBSD, etc.) running Apache. </li> 
  </ul> 
  <ul> 
    <li class="question">Can phpGrabComics run on Windows? </li> 
    <li class="answer">Of course! The main difference is that in Windows you usually cannot use cron to set daily updates, but Windows itself has similar features.</li> 
  </ul> 
    <ul> 
    <li class="question">Is phpGrabComics optimised for any browser? </li> 
    <li class="answer">Yes. It is optimised for Mozilla, but should work with any web browser (see <a href="standards.php">supported standards</a>). </li> 
  </ul> 
  <h2>Server and ports </h2> 
  <ul> 
    <li class="question">What is the difference between phpGrabComics server and its ports? </li> 
    <li class="answer">phpGrabComics is a PHP program released under the GPL licence. It means that you can use and change it as you want and that you do not need to expose a banner if you install it in your server. phpGrabComics for nuke and (most of) the other ports are very simple web services and require, to be used, to expose a phpGrabComics <a href="banner.php">banner</a>. </li> 
  </ul> 
  <h2>Problems</h2> 
  <ul> 
    <li class="question">I see a message that says that my site is banned. What does it means? Can I be unbanned? </li> 
    <li class="answer">Banned sites are sites that tried to cheat the banner system. To be unbanned, expose the banner in your web site and contact the author. </li> 
  </ul> 
  <ul> 
    <li class="question">I see a message that says that there is an error, instead of the comic strip. What does it means?</li> 
    <li class="answer">The message appears when you are using a phpGrabComics port and you do not expose a banner. The system will automatically stop serving images, and will automatically restart when you show the banner. </li> 
  </ul> 
  <ul> 
    <li class="question">What version of PHP is needed to run phpGrabComics? What modules? </li> 
    <li class="answer">Most of the parts of phpGrabComics run with PHP &gt;= 4.1. It does not need any non-default modules (beside of MySQL - optional). phpGrabcomics web server at <a href="http://www.baravalle.it/phpGrabComics">www.baravalle.it/phpGrabComics</a> runs PHP 4.1. Few pages (the configuration web page, the configuration script and and command line version) need PHP &gt; 4.3. </li> 
  </ul> 
  <ul> 
    <li class="question">I installed phpGrabComics and I cannot see images and banners. Why? </li> 
    <li class="answer">phpGrabComics uses &quot;nice&quot; URLs that mask parameters sent to the application. If your server does not support .htaccess files you could not be able to use that feature. In that case, you need to change your config.inc file with the following values:<br /> 
      <code> $show_banner = &quot;banners.php&quot;;<br /> 
      $show_comic = &quot;comic.php&quot;;</code></li> 
  </ul> 
  <ul> 
    <li class="question">I cannot install phpGrabComics. Can someone install phpGrabComics in my server? </li> 
    <li class="answer">You can ask to any PHP developer with some experience. phpGrabComics is quite easy to install. </li> 
  </ul> 
  <ul> 
    <li class="question">I cannot see the last comics strip of WHATEVERCOMIC. Why?</li> 
    <li class="answer">Comic strips are updated automatically several times each day. You can check if something when wrong in the <a href="show_file.php?file=error_log">error log</a>. If the error log does not report the problem, you can report your problem using the <a href="http://sourceforge.net/forum/?group_id=33239">phpGrabComics forums</a>.</li> 
  </ul>   <ul> 
    <li class="question">I used to read WHATEVERCOMIC and now it is no more available in phpGrabComics. Why?</li> 
    <li class="answer">Comic strips are often no more released. When they are no more released, they are no more included in phpGrabComics.</li> 
  </ul> 
  <ul> 
    <li class="question">I cannot see a comic strip that I was used to see/download. Why?</li> 
    <li class="answer">Comic strips are downloaded from web sites that make them available. If the web site does not make the comic strip available, it cannot be available in phpGrabComics. </li> 
  </ul> 
  <ul> 
    <li class="question">I cannot make phpGrabComics work. Is there any support available? </li> 
    <li class="answer">phpGrabComics is supported through the <a href="http://sourceforge.net/forum/?group_id=33239">forums</a> and bugs should be reported using the <a href="http://sourceforge.net/tracker/?group_id=33239&amp;atid=407573">bug tracking system</a>.</li> 
  </ul> 
  <h2>Contributing</h2> 
  <ul> 
    <li class="question">I want to contribute to phpGrabComics. What can I do? </li> 
    <li class="answer">First of all, subscribe to phpGrabComics <a href="http://lists.sourceforge.net/lists/listinfo/phpgrabcomics-announce">mailing list</a>! Any kind of help (new modules, icons, documentation or whatever) is welcome.</li> 
  </ul> 
  <ul> 
    <li class="question">I have developed a new feature for phpGrabComics. Can it be included in the official phpGrabComics? </li> 
    <li class="answer">Submitted features are checked and usually included in the next release. Authors are thanked in the release notes. </li> 
  </ul> 
  <!-- #EndEditable --> 
	<?php
	}
	?> 
</div> 
<div id="footer"> 
	<hr /> 
	<div class="left" id="source"><a href="<?php echo $dir; ?>index.php"><img src="<?php echo $dir; ?>media/logo.png" id="show_source" width="32" height="48" alt="show source" /></a> <a href="<?php echo $_SERVER["SCRIPT_NAME"];?>?show_source=1">show source</a></div> 
	<div class="right" id="hosted"> <a href="http://sourceforge.net/projects/phpgrabcomics/"><img src="sourceforge.php" id="sourceforge" alt="SourceForge" /></a> phpGrabComics	project is hosted at <a href="http://sourceforge.net/projects/phpgrabcomics/">sourceforge.net</a>.</div> 
</div> 
</body>
<!-- InstanceEnd --></html>
