<?php
/*

Copyright  2001, 2002, 2003, 2004 Andres Baravalle

This file is part of phpGrabComics.

phpGrabComics is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

phpGrabComics is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with phpGrabComics; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

// this is the head section of the site
?>
<meta name="keywords" content="phpGrabComics, Baravalle, comics, daily, strips, grab, free software, sourceforge, GPL, dilbert, calvin, hobbes, vauro, snoopy, altan, bobo, clemente, fontanarrosa, forattini, userfriendly" />
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta name="generator" content="phpgrabcomics <?php echo $version; ?>" />
<meta name="resource-type" content="document" />
<meta name="distribution" content="Global" />
<?php
// only main pages should be cached by robots
if(isset($_GET) and !empty($_GET))
{
	echo '<meta name="robots" content="noindex, follow" />';
}
else
	echo '<meta name="robots" content="index, follow" />';
?>
<link rel="author" href="<?php echo $dir;?>author.php" title="Andres Baravalle" />
<link rel="copyright" href="<?php echo $dir;?>copyright.php" />
<style type="text/css">
@import url(<?php echo $dir; ?>base.css);
</style>
<link rel="icon" href="<?php echo $dir;?>media/favicon.png" type="image/png" />
<?php
if(!isset($_GET["list_strips"]) and (!isset($_GET["save"]) or $_GET["save"]==0) and sizeof($phpgrabcomics)==1 and basename($_SERVER["SCRIPT_NAME"])=="index.php" and $dir=="./")
{
	$strip_index=admin::rStripIndex($phpgrabcomics[0]->unix_name);
	
	if(isset($strip_index) and $strip_index!==False and is_int($strip_index) and $strip_index>=0)
	{
		
		if($strip_index>0)
		{
			echo "<link media=\"all\" rel=\"prev\" type=\"text/html\" href=\"${dir}index.php?comic_array[]=".$comic_list[$strip_index-1]->unix_name. "&amp;view=1\" title=\"Today's ".$comic_list[$strip_index-1]->name." strip\" />\n";
			echo "<link media=\"all\" rel=\"first\" type=\"text/html\" href=\"${dir}index.php?comic_array[]=".$comic_list[0]->unix_name. "&amp;view=1\" title=\"Today's ".$comic_list[0]->name." strip\" />\n";
		}
		if($strip_index+1<sizeof($comic_list))	
		{
			echo "<link media=\"all\" rel=\"next\" type=\"text/html\" href=\"${dir}index.php?comic_array[]=".$comic_list[$strip_index+1]->unix_name. "&amp;view=1\" title=\"Today's ".$comic_list[$strip_index+1]->name." strip\" />\n";
			echo "<link media=\"all\" rel=\"end\" type=\"text/html\" href=\"${dir}index.php?comic_array[]=".$comic_list[sizeof($comic_list)-1]->unix_name. "&amp;view=1\" title=\"Today's ".$comic_list[sizeof($comic_list)-1]->name." strip\" />\n";
		}
	}
}
else
	$strip_index=admin::rStripIndex($default_comic);
?>
<link media="all" rel="help" type="text/html" href="<?php echo $dir;?>readme.php" title="documentation" />
<link media="all" rel="start" type="text/html" href="<?php echo $dir;?>index.php" title="home page" />