<?php
/*

Copyright  2001, 2002, 2003, 2004 Andres Baravalle

This file is part of phpGrabComics.

phpGrabComics is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

phpGrabComics is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with phpGrabComics; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
include_once("dir.inc");
include_once($dir . "inc/prepend.inc");
echo "<?xml version=\"1.0\" encoding=\"iso-8859-1\" ?>\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"><!-- InstanceBegin template="/Templates/accessible.dwt" codeOutsideHTMLIsLocked="true" -->
<head>

<?php
include_once($dir . "inc/head.inc");
?>
<!-- #BeginEditable "doctitle" -->
<?php

if(isset($_GET["comic_array"]) and !empty($phpgrabcomics))
{
	$title = $phpgrabcomics[0]->name;
	
	if(!empty($title))
	{
		$title = "Today's ". $title ." Strip";
		if(sizeof($phpgrabcomics)>1)
		{
			$title .= " and Others";
		}
	}
}
else
$title = "";

if(isset($_GET["style"]))
{
	// need to verify if the GET value is valid
	if(preg_match("/^[0-9a-fA-F]{6}$/",$_GET["style"]))
	{
		$_SESSION["style"] = "#" . $_GET["style"];
		$style = $_SESSION["style"];
	}
}
elseif(isset($_SESSION["style"]) and !empty($_SESSION["style"]))
{
	$style = $_SESSION["style"];
}

if(!isset($style) or empty($style))
{
	$style = "#CCFF33";
}
?>
<link media="all" rel="alternate" type="text/html" href="index.php?style=CCFF33" title="green" />
<link media="all" rel="alternate" type="text/html" href="index.php?style=FFFF66" title="yellow" />
<link media="all" rel="alternate" type="text/html" href="index.php?style=CCCCCC" title="grey" />
<link media="all" rel="alternate" type="text/html" href="index.php?style=FF9900" title="orange" />
<link media="all" rel="alternate" type="text/html" href="index.php?style=FFFFFF" title="white" />
<script type="text/javascript">
<!-- <![CDATA[

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function checkSelectedComics()
{
	var c = 0;
	var comic_array = MM_findObj("comic_array[]");

	for(a=0; a<comic_array.length;a++)
	{
		if(comic_array.options[a].selected==true)
			c++;
		if(c>4)
		{	
			break;
		}
	}
	
	if(c>4)
	{	
		alert("Sorry, too many comics are selected.\nPlease select a maximum of 4 comics to proceed.");
		return false;
	}
	else
		return true;
}

// ]]> -->
</script>
<!-- #EndEditable -->
<title>
<?php 
if($title!="")
	echo "phpGrabComics - " . $title;
else
{
	$title = "phpGrabComics";
	echo $title;
}
?>
</title>
</head>
<body> 
<div id="header"> 
	<div class="left" id="logo"><a href="index.php"><img src="<?php echo $dir . $show_banner; ?>/phpgrabcomics_10.png" alt="phpGrabComics home page" width="85" height="85" style="vertical-align: middle; margin-right: 36px;" /></a><h1><?php echo $title; ?></h1></div> 
	<div class="right" id="title" style="vertical-align: top;">		
		<form method="get" action="search.php">
			<p style="text-align:right"><br /><input size="15" name="sp-q" value="<?php if(isset($_GET["sp-q"])) echo $_GET["sp-q"]; ?>" />
				<input type="hidden" name="sp-a" value="sp1002f053" style="font-size:12px;background-color:#FFFFCC" accesskey="s" />
				<input type="hidden" name="sp-p" value="all" />
				<input type="hidden" name="sp-f" value="iso-8859-1" />
				<input type="submit" value="Search" />				
			</p>
		</form>		
	</div> 
	<hr /> 
</div> 
<div id="body"> 
	<?php
	if (isset($_GET["show_source"]) and $_GET["show_source"]==1)
	{	
		echo "<br /><h2>Source of: ".$_SERVER["SCRIPT_NAME"]."</h2>\n<hr />\n";
		highlight_file($_SERVER["SCRIPT_FILENAME"]);
		printf("<hr /><br />". _LAST_MODIFIED . ": %s", date("Y/M/d H:i:s",filemtime($_SERVER["SCRIPT_FILENAME"])));
	}
	else
	{
	?> 
	<!-- #BeginEditable "testo dentro il livello" --> 
	 
	<div id="leftbar" style="background-color: <?php echo $style; ?>;"> 
	<h2>Selected comics strips</h2> 
	<div style="background-color: white; width: 100%; margin-top: 4px">
	<?php
	for ($a=0;$a<sizeof($phpgrabcomics);$a++)
	{
		$icons[] = $phpgrabcomics[$a]->rIcon("view");
	}
	admin::pTable($icons,5);
	?> 
	</div>
	<?php
	admin::MultipleSelectAllComics();
	?> 
	<?php
	if ($authenticated == True and !isset($_GET["logout"]))
	{
		?> 
		<h2>Admin</h2>		 
		<p style="padding-left:6px">
		<?php
		if($db_enabled === True)
		{
		?>
		<a href="<?php echo $dir ?>stats.php">Statistics</a><br />
		<?php
		}
		?> 
		<a href="configure.php">Configure</a><br /> 
		<?php
		if(isset($_SESSION["user"]) and isset($_SESSION["psw"]))
		{
		?> 
		<a href="<?php echo $_SERVER["SCRIPT_NAME"]; ?>?logout=True">Logout</a> 
		<br />
		<?php
		}		
		?>
		</p>
		<?php
	}
	elseif($GLOBALS["authenticated"] != True and isset($_REQUEST["user"]) and isset($_REQUEST["psw"]))
	{
	 echo _FAILED_AUTH; 
	}
	elseif(isset($_GET["logout"]) and $_GET["logout"]==True)
	{
		session_unset();
	?> 
	<p>Successfully logged out.</p> 
	<?php
	}
	else
	{
	?> 
	<form action="index.php" method="get" id="authentication"> 
	<fieldset>
		<legend style="background-color: <?php echo $GLOBALS["style"]; ?>">Authentication</legend>
		<p><label for="user">user name: </label><input name="user" id="user" type="text" class="small" size="6" maxlength="12" /> <br />
		<label for="password">password: </label><input name="psw" type="password" id="password" class="small" size="6" maxlength="12" /> 
		<input name="submit" type="submit" class="small_center" value="login" /> </p>
	</fieldset>
	</form> 
	<?php
	}
	?> 
	</div> 
	<div id="rightbar"> 
	<?php
	if(!admin::checkFunc())
	{
	?> 
	<p><a href="http://www.gnu.org"><img src="<?php echo $dir;?>media/floating_small.png" alt="Gnu" style="margin-right: 5px; float: left" height="48" />GNU</a> phpGrabComics is a software to grab
		and save comic strips from the web. </p> 
	<p>GNU phpGrabComics is available as PHP web application (the <a href="#server">phpGrabComics server</a>), as <a href="desktop.php">desktop background</a>, as <a href="command_line.php">command line script</a> and in <a href="#ports">other versions</a>. </p>
	<p>It supports grabbing today's strip from several sites, like <a href="http://www.dilbert.com">Dilbert</a>, <a href="http://www.ucomics.com/calvinandhobbes/">Calvin and Hobbes</a>, <a href="http://www.snoopy.com">Snoopy</a> and <a href="http://www.ilmanifesto.it/">Il Manifesto</a>. <em><?php echo sizeof($comic_list); ?> comic strips are supported in the current version.</em></p> 
	<p>phpGrabComics allows to build custom web pages including your favourite comics; you can use them used as desktop background or starting page in the browser. Look at these examples (<a href="<?php admin::pCustomDesktopLink("#F5B865",Array("dilbert","userfriendly","ninetofive","glasbergen")); ?>">geek</a>, <a href="<?php admin::pCustomDesktopLink("#de3456",Array("andycapp","crock","bc","beetlebailey")); ?>">cult</a>, <a href="<?php admin::pCustomDesktopLink("#123456",Array("snoopy","calvinandhobbes","marmaduke","dennisthemenace")); ?>">children</a>, <a href="<?php admin::pCustomDesktopLink("#ff2345",Array("altan","forattini","grassilli","maramotti","lupo","vauro")); ?>">italian</a> and <a href="<?php admin::pCustomDesktopLink("#f4dd54",Array("fontanarrosa","clemente","condorito","matias","lanelly","crist","diogenes")); ?>">latin-american</a>) and <a href="desktop_creator.php">build your desktop</a>.</p>
	<p>All comics are copyright of respective owners.</p>
	<?php

		$tmp = $GLOBALS["comics"] . "/" . $phpgrabcomics[0]->unix_name . $phpgrabcomics[0]->img_today_suffix;
		
		if($authenticated == True and is_file($tmp) and fopen($tmp,"rb"))
		{
	?> 
	<p style="font-weight: bold">Today's <?php echo $phpgrabcomics[0]->name; ?> strip:</p> 
	<a href="<?php echo $phpgrabcomics[0]->address; ?>"> 
	<?php
	$phpgrabcomics[0]->pImg();
	?> 
	</a> 
	<?php
	}
	?> 
	<div class="section"> 
		<div class="left" id="information"> 
			<h2>phpGrabComics information</h2> 
			<ul> 
			<li><a href="overview.php">Overview</a></li> 
				<li><a href="help.php">Help</a></li>
				<li><a href="modules.php">Available comics &amp; comics status</a></li> 
				<li><a href="archive.php">Comics archive</a> </li> 				
				<li><a href="banner.php">Banners</a></li>
				<li><a href="sites.php">Web sites </a></li> 
			</ul> 
		</div> 
		<div class="right" id="server"> 
			<h2>phpGrabComics server </h2> 
			<ul> 
				
				<li><a href="readme.php">Documentation</a></li>
				<li><a href="download.php">Download phpGrabComics</a></li>
			</ul> 
		</div>
		
	</div> 
	<div class="section"> 
		 <div class="left" id="ports"> 
			<h2>phpGrabComics ports</h2> 
			<ul> 
				<li><a href="desktop_creator.php">phpGrabComics for desktop</a></li> 
				<li><a href="your_site.php">phpGrabComics for your site</a></li> 
				<li><a href="nuke.php">phpGrabComics for nuke</a></li> 
				<li><a href="syndication.php">phpGrabComics for syndication</a></li> 
				<li><a href="netscape_sidebar.php">phpGrabComics for netscape sidebar</a></li> 
				<li><a href="command_line.php">phpGrabComics command line</a></li> 
			</ul> 
		</div> 
		<div class="right" id="development"> 
			<h2>phpGrabComics development</h2> 
			<ul> 
				<li><a href="show_file.php?file=change_log">Change log</a></li> 
				<li><a href="author.php">The author</a></li>
				<li><a href="last_version.php">Newer version</a> </li>
				<li><a href="contribute.php">Want to help?</a></li> 
				<li><a href="http://lists.sourceforge.net/lists/listinfo/phpgrabcomics-announce">Mailing list</a></li>
				<li><a href="standards.php">Web standards and browser support </a></li>
				<li><a href="roadmap.php">Roadmap</a></li> 
				<li><a href="show_file.php?file=error_log">Error log</a> (more than 300kb)</li> 
			</ul> 
		</div> 
	</div> 
	<?php
	}
	?> 
	</div>
<!-- #EndEditable --> 
	<?php
	}
	?> 
</div> 
<div id="footer"> 
	<hr /> 
	<div class="left" id="source"><a href="<?php echo $dir; ?>index.php"><img src="<?php echo $dir; ?>media/logo.png" id="show_source" width="32" height="48" alt="show source" /></a> <a href="<?php echo $_SERVER["SCRIPT_NAME"];?>?show_source=1">show source</a></div> 
	<div class="right" id="hosted"> <a href="http://sourceforge.net/projects/phpgrabcomics/"><img src="sourceforge.php" id="sourceforge" alt="SourceForge" /></a> phpGrabComics	project is hosted at <a href="http://sourceforge.net/projects/phpgrabcomics/">sourceforge.net</a>.</div> 
</div> 
</body>
<!-- InstanceEnd --></html>
