<?php
/*

Copyright  2001, 2002, 2003, 2004 Andres Baravalle

This file is part of phpGrabComics.

phpGrabComics is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

phpGrabComics is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with phpGrabComics; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
include_once("dir.inc");
include_once($dir . "inc/prepend.inc");
echo "<?xml version=\"1.0\" encoding=\"iso-8859-1\" ?>\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"><!-- InstanceBegin template="/Templates/accessible.dwt" codeOutsideHTMLIsLocked="true" -->
<head>

<?php
include_once($dir . "inc/head.inc");
?>
<!-- #BeginEditable "doctitle" -->
<?php
$title="Documentation";
?>
<!-- #EndEditable -->
<title>
<?php 
if($title!="")
	echo "phpGrabComics - " . $title;
else
{
	$title = "phpGrabComics";
	echo $title;
}
?>
</title>
</head>
<body> 
<div id="header"> 
	<div class="left" id="logo"><a href="index.php"><img src="<?php echo $dir . $show_banner; ?>/phpgrabcomics_10.png" alt="phpGrabComics home page" width="85" height="85" style="vertical-align: middle; margin-right: 36px;" /></a><h1><?php echo $title; ?></h1></div> 
	<div class="right" id="title" style="vertical-align: top;">		
		<form method="get" action="search.php">
			<p style="text-align:right"><br /><input size="15" name="sp-q" value="<?php if(isset($_GET["sp-q"])) echo $_GET["sp-q"]; ?>" />
				<input type="hidden" name="sp-a" value="sp1002f053" style="font-size:12px;background-color:#FFFFCC" accesskey="s" />
				<input type="hidden" name="sp-p" value="all" />
				<input type="hidden" name="sp-f" value="iso-8859-1" />
				<input type="submit" value="Search" />				
			</p>
		</form>		
	</div> 
	<hr /> 
</div> 
<div id="body"> 
	<?php
	if (isset($_GET["show_source"]) and $_GET["show_source"]==1)
	{	
		echo "<br /><h2>Source of: ".$_SERVER["SCRIPT_NAME"]."</h2>\n<hr />\n";
		highlight_file($_SERVER["SCRIPT_FILENAME"]);
		printf("<hr /><br />". _LAST_MODIFIED . ": %s", date("Y/M/d H:i:s",filemtime($_SERVER["SCRIPT_FILENAME"])));
	}
	else
	{
	?> 
	<!-- #BeginEditable "testo dentro il livello" --> 
				<p> phpGrabComics is a little but very useful program to get comic strips
					grabbed in your site; it can grab today's strip from Dilbert, Calvin
					and Hobbes and more then 180 comics sites.</p> 
				<p> phpGrabComics is free software distributed under the terms of GNU General
					Public License.</p> 
				<p>Following documentation refers to phpGrabComics &quot;full&quot; installation;
					please look at <a href="desktop_creator.php">phpGrabComics for desktop</a> if you prefer something simpler (and remember to show a phpGrabComics <a href="banner.php">banner</a> if you change the page!).</p> 
				<h2>Actual Features</h2> 
				<p>phpGrabComics provides different levels of use, from very simple to advanced.</p> 
				<p>It allows to: </p> 
				<ul> 
					<li>display comic strips in a web page</li> 
					<li>display comic strips as images</li> 
					<li>save comic strips.</li> 
				</ul> 
				<p>Different interfaces are available:</p> 
				<ul> 
					<li>web-url: all front-end functions can be called trough a web interface</li> 
					<li>PHP class: all front-end functions can be easily called trough a PHP
						class</li> 
					<li>command line interface: most functions can be called via command line.</li> 
			    </ul> 
				<h2>Requirements</h2>
				<p>phpGrabComics runs on PHP 4.1 or newer. MySQL support is optional and allows to store access statistics. PHP 4.3 is required if you want to use the configuration web page, the configuration script and and
command line version.</p>
				<h2>Install</h2> 
				<p>phpGrabComics can be installed in different ways. We will discuss how
					to install phpGrabComics:</p> 
				<ul> 
					<li>web based/manual configuration</li> 
					<li>configure and make scripts.</li> 
				</ul> 
				<p>You should use web based/manual configuration <strong>if you do not have a command
					line access to your server</strong>:</p> 
				<ul> 
					<li>copy your files in a web server directory;</li> 
					<li>if you just want to include today's comic strip in your site (and if
						your server is not running in safe mode), you do not need to do anything
						else;</li> 
					<li>if you want to <strong>save</strong> today's comics in your server,
						you have to configure file <code>inc/config.inc or use file config.php
						to set up your configuration;</code></li> 
					<li>if your server runs in safe mode, you need to <code>chmod 777</code> the
						folder <code>comics</code>, the folder <code>tmp</code> and the file<code> error_log.csv</code>.</li> 
				</ul> 
				<p>You can use configure and make scripts <strong>if you have a command line access
					to your server</strong> and if the installed version of PHP is 4.3 or newer. In that case, just run <code>configure.php</code> and then <code>make</code>.
					If you want, you can have tune manually your configuration in file <code>inc/config.inc</code>.</p> 
				<p>Please remember that phpGrabComics saves the comics only if the comic strip
					is in <code>$comics_updated</code> array (in file <code>inc/config.inc</code>) AND:</p> 
				<ul> 
					<li>you set up a cron job for file <code>getcomics.php</code> (see *nix specific options) OR</li> 
					<li>you run <code>getcomics.php</code> OR </li>
					<li>someone requests the page</code> file.</li> 
			    </ul> 
				<h2>Setting the configuration file</h2>
				<p>You may need to edit the configuration file, located at inc/config.inc.</p>
				<p>Customising the configuration file will allow to tune up some parameters and will allow you to decide which comics will be archived day by day and wich comics will not. </p>
				<h2>*nix Specific Options </h2> 
				<p>phpGrabComics is very useful if you put it's execution in your crontab
					(available in *nix only, sorry).</p> 
				<p> You can do it easily if you can set up a cron job, use telnet or ssh.</p> 
				<p> Change the file <code>mycrons</code> in you distribution according to
					your local system settings, chmod 755 files <code>getcomics.php</code> and <code>mycrons</code>,
					and then execute in your shell:</p> 
				<p> <code>crontab mycrons</code></p> 
				<p> If everything is all right, executing <code>crontab -l</code> will show
					you something like this:</p> 
				<p> <code>0 6 * * * /home/baraval/www/getcomics.php</code></p>
				<p>if you are using a version phpGrabComics 

 
        superior or equal to 1.3.2, the notation is different:</p>
				<p><code>0 6 * * * /home/baraval/www/getcomics.php  -g </code></p>
				<h2> Web Interface</h2> 
				<ul> 
					<li> insert the today's comic strip for your comic: &lt;img src=&quot;http://your_phpgrabcomics_url/comic/dilbert&quot; alt=&quot;dilbert&quot; /&gt; </li> 
					<li>change &quot;dilbert&quot; with your preferred module, simply by changing
						the path. Have a look at the list of available modules.</li> 
				</ul> 
				<h2> PHP Interface</h2> 
				<p> Include following code in files where you want to use phpGrabComics commands:</p> 
				<p> <code> include ('inc/phpgrabcomics.inc');</code></p> 
				<p> For example, to include dilbert comic function in a page:</p> 
				<p> <code>include ('config/dilbert.inc');</code></p> 
				<p><code> $dilbert = new Dilbert;</code></p> 
				<p> Then:</p> 
				<ul> 
					<li> see image archive: <code>$dilbert-&gt;pListComics()</code></li> 
					<li> see today's strip: <code>$dilbert-&gt;pImg()</code> </li> 
					<li> output today's strip as gif: <code>$dilbert-&gt;MakeImg()</code>.</li> 
				</ul> 
				<p> You can do the same for the other modules.</p> 
				<p>If something is not clear, look at the examples: <a href="examples/simple_example.php">simple_example.php</a> and <a href="examples/simple_example_2.php">simple_example_2.php</a></p> 
				<h2>Command Line Interface</h2>
				<p>You can use the file <code>getcomics.php</code> to have access to a command line version
					of phpGrabComics. Works both on *nix and on windows. Type <code>php getcomics.php
					-h</code> for more information. </p>
				<h2>Easy to Extend</h2>
				<p> phpGrabComics can be easily extended with your own classes to use it
					with other comic strips sites. Just have a look at the code and start
					having fun! </p>
				<p>About 70 of the modules currently shipped in phpGrabComics has been made by its users! </p>
				<h2>Disclaimer</h2> 
				<p> I do not know if using this program breaks any of the laws in your country.
					Using it you agree that you are responsible of what are doing.</p> 
				<p> This program is free software; you can redistribute it and/or modify
					it under the terms of the GNU General Public License as published by the
					Free Software Foundation; either version 2 of the License, or(at your option)
					any later version.</p> 
				<p> This program is distributed in the hope that it will be useful, but WITHOUT
					ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
					FOR A PARTICULAR PURPOSE.</p> 
				<p> See the GNU General Public License for more details.</p> 
	<!-- #EndEditable --> 
	<?php
	}
	?> 
</div> 
<div id="footer"> 
	<hr /> 
	<div class="left" id="source"><a href="<?php echo $dir; ?>index.php"><img src="<?php echo $dir; ?>media/logo.png" id="show_source" width="32" height="48" alt="show source" /></a> <a href="<?php echo $_SERVER["SCRIPT_NAME"];?>?show_source=1">show source</a></div> 
	<div class="right" id="hosted"> <a href="http://sourceforge.net/projects/phpgrabcomics/"><img src="sourceforge.php" id="sourceforge" alt="SourceForge" /></a> phpGrabComics	project is hosted at <a href="http://sourceforge.net/projects/phpgrabcomics/">sourceforge.net</a>.</div> 
</div> 
</body>
<!-- InstanceEnd --></html>
